Bug 388749

Summary: Don't appear new thumbnails on first tooltips seance
Product: plasmashell Reporter: Kushnir Bogdan <looriin9op>
Component: Icons-only Task ManagerAssignee: Eike Hein <hein>
Status: RESOLVED FIXED    
Severity: normal CC: plasma-bugs, subdiff
Priority: NOR    
Version: 5.11.5   
Target Milestone: 1.0   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: gif-file

Description Kushnir Bogdan 2018-01-09 19:23:58 UTC
Created attachment 109772 [details]
gif-file

1. Open any window;
2. Don't remove the cursor from the icon;
3. Wait to thumbnails appear;
4. By middle-button click open new window instance;
5. In tooltips area don't showing any thumbnails.

Attached gif-file demonstrates this issue.
Comment 1 Eike Hein 2018-01-10 04:39:47 UTC
Roman?
Comment 2 Kushnir Bogdan 2018-01-10 09:15:10 UTC
(In reply to Eike Hein from comment #1)
> Roman?

Sorry, but I didn't understand your question.
Comment 3 Eike Hein 2018-01-10 09:17:34 UTC
Roman is the name of the developer I added to the CC list. He wrote the tooltip code, so I am asking for his input.
Comment 4 Roman Gilg 2018-01-13 22:54:37 UTC
Yes, this is a problem with the group / proxy / model behind it. In short my believe is that a backend model change does not update the QML code reliable.

But this is a fragile area because there are other problems with it: https://phabricator.kde.org/D7768

When I wrote the new tooltips I hacked around this problem after not being able to write a proper solution for it for quite some time. I'm lacking the understanding of the backend / proxy code in this regard.

If Eike has time at some point in the future we should try to tackle this problem together.
Comment 5 Eike Hein 2018-01-15 08:24:00 UTC
Roman: Sure, ping me some time and brief me to get my headspace into it ...
Comment 6 Eike Hein 2018-06-19 11:23:19 UTC
Git commit 24803dc9dc4000e06edb60a3a8afe5925f0d72d7 by Eike Hein.
Committed on 19/06/2018 at 11:22.
Pushed by hein into branch 'Plasma/5.12'.

Fix tooltip woes

Summary:
Users have reported a number of bugs against TM tooltips, e.g. initially
coming up with crazy sizes, or showing window duplicates. This all comes
down to a race conditions causing stale data and ugly code that's using
visible props to swap between two alternate UI implementations instead
of doing clean conditional loading.

With this cleanup patch the problems should be gone, as well as various
ReferenceErrors spewed onto the tty.
Related: bug 382571, bug 385947, bug 389469

Reviewers: broulik, davidedmundson, romangg

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D13602

M  +1    -1    applets/taskmanager/package/contents/ui/Task.qml
M  +27   -11   applets/taskmanager/package/contents/ui/ToolTipDelegate.qml
M  +1    -1    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://commits.kde.org/plasma-desktop/24803dc9dc4000e06edb60a3a8afe5925f0d72d7
Comment 7 David Edmundson 2018-06-20 07:26:02 UTC
Git commit 1ab6ae9a8a36068294c487896dd512c693332b08 by David Edmundson.
Committed on 20/06/2018 at 07:16.
Pushed by davidedmundson into branch 'Plasma/5.12'.

Revert "Fix tooltip woes"

This reverts commit 24803dc9dc4000e06edb60a3a8afe5925f0d72d7.

Even though this commit is perfectly sensible it seems to introduce a
crash on startup for Qt 5.10.

Will revert for now, we can revisit later
Related: bug 382571, bug 385947, bug 389469

M  +1    -1    applets/taskmanager/package/contents/ui/Task.qml
M  +11   -27   applets/taskmanager/package/contents/ui/ToolTipDelegate.qml
M  +1    -1    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://commits.kde.org/plasma-desktop/1ab6ae9a8a36068294c487896dd512c693332b08
Comment 8 Eike Hein 2018-06-22 21:06:46 UTC
Git commit 1e218b405bee4d75a5d26a4c28da2724d967953a by Eike Hein.
Committed on 22/06/2018 at 21:05.
Pushed by hein into branch 'Plasma/5.12'.

Fix tooltip woes

Summary:
Users have reported a number of bugs against TM tooltips, e.g. initially
coming up with crazy sizes, or showing window duplicates. This all comes
down to a race conditions causing stale data and ugly code that's using
visible props to swap between two alternate UI implementations instead
of doing clean conditional loading.

With this cleanup patch the problems should be gone, as well as various
ReferenceErrors spewed onto the tty.
Related: bug 382571, bug 385947, bug 389469

Reviewers: broulik, davidedmundson, romangg

Reviewed By: davidedmundson

Subscribers: rikmills, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D13602

M  +1    -1    applets/taskmanager/package/contents/ui/Task.qml
M  +33   -18   applets/taskmanager/package/contents/ui/ToolTipDelegate.qml
M  +1    -1    applets/taskmanager/package/contents/ui/ToolTipInstance.qml

https://commits.kde.org/plasma-desktop/1e218b405bee4d75a5d26a4c28da2724d967953a